package com.engine.organization.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/29
 * @version: 1.0
 */
public interface ImportCommonService {
    /**
     * 人员导入
     *
     * @param params
     * @param request
     * @return
     */
    Map<String, Object> saveImportResource(Map<String, Object> params, HttpServletRequest request);


    /**
     * 通用导入
     *
     * @param params
     * @param request
     * @param user
     * @return
     */
    Map<String, Object> saveImport(Map<String, Object> params, HttpServletRequest request, User user);


    /**
     * 获取导入字段
     *
     * @return
     */
    Map<String, Object> getImportFields(String importType);

    /**
     * 获取导入表单
     *
     * @return
     */
    Map<String, Object> getImportForm(String importType, String columns);


    /**
     * 导入数据
     *
     * @param params
     * @return
     */
    Map<String, Object> saveImport(Map<String, Object> params,HttpServletRequest request);

    /**
     * 导入日志详情列表
     *
     * @param params
     * @return
     */
    Map<String, Object> getImportResult(Map<String, Object> params);

}
